/**
 * Copyright (c) 2012 EBMWebsourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.probes.impl;

import org.ow2.petals.probes.api.key.ProbeKey;


/**
 * <p>
 * An abstract keyed probe to model keyeds probe:
 * <ul>
 * <li>the key <b>MUST</b> implements {@link ProbeKey},</li>
 * <li>a keyed probe has a lifecycle as {@link AbstractProbe}.</li>
 * </ul>
 * </p>
 * 
 * @see {@link AbstractProbe}
 * @see {@link ProbeKey}
 * @author Christophe DENEUX (PetalsLink)
 * 
 */
public abstract class AbstractKeyedProbe<K extends ProbeKey> extends
		AbstractProbe {

}
